net.sf.jasperreports.engine

## Interface JRVirtualizable<T>

- Type Parameters:
    `T` - the type of the virtual data object, see `getVirtualData()`

      public interface JRVirtualizable<T>

  Version:
    $Id: JRVirtualizable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    John Bindel

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterExternalization()` Called by the virtualizer after the object's data is externalized, but before the virtual data is `removed`.
    `void` | `afterInternalization()` Called by the virtualizer after the object's data was made available to the object.
    `void` | `beforeExternalization()` Called by the virtualizer before the object's data is externalized.
    `void` | `ensureVirtualData()` Ensure that the virtual data is set to the object.
    `JRVirtualizationContext` | `getContext()` Returns the virtualization context this object belongs to.
    `java.lang.String` | `getUID()` Used by the virtualizer to identify the data for this object.
    `T` | `getVirtualData()` Used by the virtualizer to get data.
    `void` | `removeVirtualData()` Used by the virtualizer to remove the data from the object in memory so that it may be garbage collected.
    `void` | `setVirtualData(T o)` Used by the virtualizer to set data.

- - ### Method Detail

    - #### getUID

          java.lang.String getUID()

      Used by the virtualizer to identify the data for this object.

    - #### ensureVirtualData

          void ensureVirtualData()

      Ensure that the virtual data is set to the object.

    - #### setVirtualData

          void setVirtualData(T o)

      Used by the virtualizer to set data.

    - #### getVirtualData

          T getVirtualData()

      Used by the virtualizer to get data.

    - #### removeVirtualData

          void removeVirtualData()

      Used by the virtualizer to remove the data from the object in memory so that it may be garbage collected.

    - #### beforeExternalization

          void beforeExternalization()

      Called by the virtualizer before the object's data is externalized.

    - #### afterExternalization

          void afterExternalization()

      Called by the virtualizer after the object's data is externalized, but before the virtual data is `removed`.

    - #### afterInternalization

          void afterInternalization()

      Called by the virtualizer after the object's data was made available to the object.

    - #### getContext

          JRVirtualizationContext getContext()

      Returns the virtualization context this object belongs to.
      Returns:
        the virtualization context this object belongs to

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com